"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const vue = require("vue");
const comp = require("../../ui/src/comp.js");
const XEUtils = require("xe-utils");
require("../../ui/index.js");
const config = require("../../../../@vxe-ui/core/es/src/config.js");
const event = require("../../../../@vxe-ui/core/es/src/event.js");
const VxeTourComponent = comp.defineVxeComponent({
  name: "VxeTour",
  props: {
    size: {
      type: String,
      default: () => config.getConfig().tour.size || config.getConfig().size
    }
  },
  emits: [],
  setup(props, context) {
    const { emit } = context;
    const xID = XEUtils.uniqueId();
    const refElem = vue.ref();
    const reactData = vue.reactive({});
    const refMaps = {
      refElem
    };
    const computeMaps = {};
    const $xeTour = {
      xID,
      props,
      context,
      reactData,
      getRefMaps: () => refMaps,
      getComputeMaps: () => computeMaps
    };
    const dispatchEvent = (type, params, evnt) => {
      emit(type, event.createEvent(evnt, { $tour: $xeTour }, params));
    };
    const tagMethods = {
      dispatchEvent
    };
    const tagPrivateMethods = {};
    Object.assign($xeTour, tagMethods, tagPrivateMethods);
    const renderVN = () => {
      return vue.h("div", {
        ref: refElem,
        class: "vxe-tour"
      });
    };
    $xeTour.renderVN = renderVN;
    return $xeTour;
  },
  render() {
    return this.renderVN();
  }
});
exports.default = VxeTourComponent;
